Package org.bukkit.block.data.type

# Enum Class StructureBlock.Mode

java.lang.Object
java.lang.Enum<StructureBlock.Mode>
org.bukkit.block.data.type.StructureBlock.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<StructureBlock.Mode>`, `Constable`

Enclosing interface:
  StructureBlock

public static enum StructureBlock.Mode extends Enum<StructureBlock.Mode>
Operating mode of a structure block.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CORNER`
Used for detection of two opposite corners of a structure.
`DATA`
Dummy block used to run a custom function during world generation before being removed.
`LOAD`
Allows loading of a structure.
`SAVE`
Allows selection and saving of a structure.

## Method Summary

Modifier and Type
Method
Description
`static StructureBlock.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StructureBlock.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SAVE

public static final StructureBlock.Mode SAVE
Allows selection and saving of a structure.

### LOAD

public static final StructureBlock.Mode LOAD
Allows loading of a structure.

### CORNER

public static final StructureBlock.Mode CORNER
Used for detection of two opposite corners of a structure.

### DATA

public static final StructureBlock.Mode DATA
Dummy block used to run a custom function during world generation before being removed.

## Method Details

### values

public static StructureBlock.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StructureBlock.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null